Send Outbound Call
curl --request POST \
--url https://api.chat-dash.com/v1/public/clients/{clientId}/agents/{agentId}/outbound-call \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumberId": "<string>",
"numberToCall": "<string>",
"dynamicVariables": {}
}
'import requests
url = "https://api.chat-dash.com/v1/public/clients/{clientId}/agents/{agentId}/outbound-call"
payload = {
"phoneNumberId": "<string>",
"numberToCall": "<string>",
"dynamicVariables": {}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumberId: '<string>', numberToCall: '<string>', dynamicVariables: {}})
};
fetch('https://api.chat-dash.com/v1/public/clients/{clientId}/agents/{agentId}/outbound-call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This response has no body data.Phone Numbers
Send Outbound Call
Send an outbound call using the specified agent
POST
/
clients
/
{clientId}
/
agents
/
{agentId}
/
outbound-call
Send Outbound Call
Headers
Client-specific API key for authentication
Pattern:
^CD\.CL\.Path Parameters
Client ID to initiate the outbound call for
Agent ID to initiate the outbound call with
Body
application/json
Response
OK
⌘I
